---
search:
  tags:
    - Attributes
    - GET
seo:
  description: >-
    Retrieves a paginated list of attributes for a given application ID.…
    Reference for the GET /api/v1/{app_id}/attributes endpoint in the Customers
    API.
sidebar:
  label: List attributes for an application
  badge: GET
title: List attributes for an application
type: openapi-operation
---
Retrieves a paginated list of attributes for a given application ID. Supports filtering by template key and searching by attribute name.

`GET /api/v1/{app_id}/attributes`

**Responses**

- `200` — A paginated list of attributes
- `400` — Invalid request parameters
- `500` — Internal server error

Response example, 200:

```json
{
  "items": [
    {
      "description": "string",
      "id": "string",
      "key": "string",
      "name": "string",
      "template_key": "string",
      "translations": {
        "description": {
          "property1": "string",
          "property2": "string"
        },
        "name": {
          "property1": "string",
          "property2": "string"
        }
      },
      "values": {
        "property1": [
          {
            "translations": {
              "value": {
                "property1": "string",
                "property2": "string"
              }
            },
            "type": "string",
            "value": "string"
          }
        ],
        "property2": [
          {
            "translations": {
              "value": {
                "property1": "string",
                "property2": "string"
              }
            },
            "type": "string",
            "value": "string"
          }
        ]
      }
    }
  ],
  "page": 0,
  "page_size": 0,
  "total_items": 0,
  "total_pages": 0
}
```
